Description

File -> Save As menu item is missing.

History

#1 - 01/22/2009 01:38 PM - Derik Barseghian

| suspect this may be related to the build system, David do you see this problem too? | see it both on my linux cmd line build, and my mac eclipse
build.

#2 - 01/22/2009 04:13 PM - David Welker

This bug has nothing to do with the build system. The Save As menu item is still available in Kepler 1.0.

#3 - 01/27/2009 03:17 PM - Christopher Brooks

Edited
kepler/common/configs/ptolemy/configs/kepler/uiMenuMappings_en_US.properties

The change was:
145¢145
< File->Save\ ~As...=File->SaveAs

File->Save\ ~As...=File->Save\ As

Interestingly, Kepler-1.0 shipped with out the space:
< File->Save\ ~As...=File->SaveAs
but SaveAs still worked. This indicates that a bug was fixed elsewhere?

#4 - 01/27/2009 04:05 PM - David Welker

This fix did not work for me. | updated the common module to get this update by Christopher Brooks and opened Kepler and the Save As menu was
still missing. This might be related to another bug (which | am about to enter) where the kars do not load properly the first time you try to run Kepler
from the trunk (Hereinafter "K-trunk"). It seems that the configuration mechanism between 1.0 and trunk has been modified to some degree by
someone. One new class | have noticed is KeplerMenuHandler, which is not in 1.0. Perhaps the absence of the "Save As" menu is related to this
class... (I don't know if that is true or not.)

| tried running Kepler twice after typing "ant clean-cache" to verify that this is not a caching problem.

#5 - 01/27/2009 04:57 PM - Christopher Brooks

Interesting that it does not work for you. I'm on a Mac, running Java 1.5.0_16.
I'm running Kepler from the command line using "ant run".

To replicate this, | did:

mkdir kepler

cd kepler

svn co https://code.kepler-project.org/code/kepler/trunk/modules/build-area
cd build-area

ant change-to -Dsuite=vanilla-trunk

ant run

| can make the Save As menu appear and disappear by changing
kepler/common/configs/ptolemy/configs/kepler/uiMenuMappings_en_US.properties

03/13/2024 12



https://code.kepler-project.org/code/kepler/trunk/modules/build-area

| did a similar test under Windows 2000 Server with Java 1.5.0_17 using
the steps above and was able to make the Save As menu appear and disappear.

Can you give the steps above a try in a separate directory, perhaps on another
machine? This would be interesting to track down, as it is likely to affect
other people as well.

Can someone else try the steps above and see if they get the Save As menu?

It is a mystery as to what changed and caused the initial missing menu choice.
| suspect a bug was fixed after Kepler-1.0, perhaps in the KeplerMenuHandler
class? KeplerMenuHandler was introduced by Chad. The version control log
messages indicate that it is part of the much needed effort to get rid of the
code that duplicates Ptolemy code.

#6 - 01/27/2009 05:50 PM - David Welker

Interesting.

It actually works with a fresh checkout. | must have modified something else (it was not the uiMenuMappings_en_US.properties file) that was not
being updated (precisely because | modified it). Anyway, | am closing this bug because the problem was with my local working copy.

#7 - 03/27/2013 02:24 PM - Redmine Admin
Original Bugzilla ID was 3738
